%define shortname	torrent-rasterbar
%define major		2.0
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

%global binding		1
%define url_ver	        %(echo %{version}|sed 's/[.]/_/g')

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	2.0.10
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://libtorrent.org/
Source0: https://github.com/arvidn/libtorrent/releases/download/v%{version}/libtorrent-rasterbar-%{version}.tar.xz
Patch1:      fortify-source-3.patch
Patch2:		0001-pkgconfig-dir.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python3)

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library
Obsoletes: lib64torrent-rasterbar10
Obsoletes: lib64torrent-rasterbar9

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python3-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python 3 bindings
Requires:	%{libname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python 3 bindings.

%package -n %{develname}
Group:		Development/Libraries
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q
%autopatch -p1

%build
export PYTHON=%{__python3}

%define _smp_nthreads_max 4
%cmake \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_CXX_STANDARD=14 \
%if %binding
	-Dpython-bindings=ON \
	-Dpython-egg-info=ON \
	-Dpython-install-system-dir=ON \
%else
	-Dpython-bindings=OFF \
%endif

%make_build

%install
%make_install -C build

# Written version is malformed
sed -i 's/^Version:.*/Version: %{version}/' %{buildroot}%{python3_sitearch}/libtorrent.egg-info/PKG-INFO

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/cmake/Modules/FindLibtorrentRasterbar.cmake
%{_libdir}/cmake/LibtorrentRasterbar/

%if %binding
%files -n python3-%{name}
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info
%endif


%changelog
* Tue Feb 27 2024 tex - 2.0.10-1pclos2024
- new version

* Thu Nov 30 2023 tex - 2.0.9-2pclos2023
- rebuild against updates

* Mon Oct 23 2023 tex - 2.0.9-1pclos2023
- new version

* Thu Nov 10 2022 tex - 2.0.8-2pclos2022
- obsoletes lib64torrent-rasterbar9

